<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>LibGE: individual Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="cropped-BDS-Logo-1.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibGE
   &#160;<span id="projectnumber">0.31.0</span>
   </div>
   <div id="projectbrief">A c++ GE implementation</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structindividual-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">individual Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:acbafb6eef9c3f48c14ef8193bcba3996"><td class="memItemLeft" align="right" valign="top">unsigned *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structindividual.html#acbafb6eef9c3f48c14ef8193bcba3996">chrom</a></td></tr>
<tr class="separator:acbafb6eef9c3f48c14ef8193bcba3996"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a67ebca10392d1cc436020c9a9a18ce36"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structindividual.html#a67ebca10392d1cc436020c9a9a18ce36">fitness</a></td></tr>
<tr class="separator:a67ebca10392d1cc436020c9a9a18ce36"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a140cebb4455336c45e8ab5ed251fe009"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structindividual.html#a140cebb4455336c45e8ab5ed251fe009">xsite</a></td></tr>
<tr class="separator:a140cebb4455336c45e8ab5ed251fe009"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af37f531eefacd97f1b673ed24dfdef86"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structindividual.html#af37f531eefacd97f1b673ed24dfdef86">parent</a> [2]</td></tr>
<tr class="separator:af37f531eefacd97f1b673ed24dfdef86"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60bd31813b84f80c648e423de978ef8c"><td class="memItemLeft" align="right" valign="top">int *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structindividual.html#a60bd31813b84f80c648e423de978ef8c">utility</a></td></tr>
<tr class="separator:a60bd31813b84f80c648e423de978ef8c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="acbafb6eef9c3f48c14ef8193bcba3996"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acbafb6eef9c3f48c14ef8193bcba3996">&#9670;&nbsp;</a></span>chrom</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned* individual::chrom</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a67ebca10392d1cc436020c9a9a18ce36"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a67ebca10392d1cc436020c9a9a18ce36">&#9670;&nbsp;</a></span>fitness</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double individual::fitness</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af37f531eefacd97f1b673ed24dfdef86"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af37f531eefacd97f1b673ed24dfdef86">&#9670;&nbsp;</a></span>parent</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int individual::parent[2]</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a60bd31813b84f80c648e423de978ef8c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a60bd31813b84f80c648e423de978ef8c">&#9670;&nbsp;</a></span>utility</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int* individual::utility</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a140cebb4455336c45e8ab5ed251fe009"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a140cebb4455336c45e8ab5ed251fe009">&#9670;&nbsp;</a></span>xsite</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int individual::xsite</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>src/<a class="el" href="_g_e___i_l_l_i_g_a_l_s_g_a_8cpp.html">GE_ILLIGALSGA.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
